Subject: Re: cygwin's OpenSSL 0.9.7d 17 Mar 2004 core dumps on the attached input and command
From: "Dr. Stephen Henson" <[email-masked]>
To: Ralf Hauser <[email-masked]>
Cc: [email-masked]
Date: Tue, 12 Oct 2004 14:23:25 +0200

On Tue, Oct 12, 2004, Ralf Hauser wrote:

> try:
> 
>   openssl smime -encrypt -rc2-128 -in signedFile.eml -out encryptedFile1.eml
> recipCert0.pem
> 
> and on WinXP SP2 I get a core-dump - a colleague of mine got it as well.
> What can I do?
> 
> The same happens if I use the win32 binary as of
> http://www.stunnel.org/download/stunnel/win32/openssl-0.9.7d-zlib/openssl.zip.
> 
> When using an old OpenSSL 0.9.7a Feb 19 2003 on Redhat, the same input files
> and command work nicely.
> 

This is a known issue in 0.9.7d, it will be fixed in 0.9.7e. In the meantime
please use the latest 0.9.7-stable snapshot.

Steve.
--
Dr Stephen N. Henson. Email, S/MIME and PGP keys: see homepage
OpenSSL project core developer and freelance consultant.
Funding needed! Details on homepage.
Homepage: http://www.drh-consultancy.demon.co.uk

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/